//
// Help.cpp
//
// Help page info for AttitudeMFD V3
//
// Each help page can be up to 35 characters wide
// by 25 lines ("normal" sized MFD panel)
//
#include "Help.h"

const int MAX_HELP_PAGE = 7;			// 2 pages of help

const char *HelpLines[MAX_HELP_PAGE * 25] = {
// Page 1
	"^Attitude MFD Version 3.2",
	"^TB, Chris Knestrick and Bob Denny",
	"",
	"^KEY CONCEPTS",
	"",
	"Attitude itself consists of eleva-",
	"tion, bank angle, and heading in ",
	"Orbiter's global/ecliptic system.",
	"",
	"Pitch, roll and yaw are always rel-",
	"ative to some reference attitude in",
	"the global system.",
	"",
	"There are four reference attitudes: ",
	"",
	"1. User attitude - orient and set ",
	"2. Velocity vector & local horizon",
	"3. Target relative (more later)",
	"4. Entry interface & local horizon",
	"",
	"Auto-rotations are always done in  ",
	"the order pitch, yaw, then roll. ",
	"",
	"",
	"%Press any button or key: next page",
// Page 2
	"^USER ATTITUDE (Attitude mode)",
	"",
	"Orient the spacecraft as you wish,",
	"then click REF or Shift-. to set",
	"the reference attitude.",
	"",
	"To define pitch, yaw, roll offsets",
	"use the PIT, YAW and ROL buttons",
	"or their keyboard equivalents. This",
	"sets offsets to be added from the ",
	"base reference attitude. ",
	"",
	"For example, to orient with a 10.5",
	"deg. pitch-down from your reference",
	"attitude, enter -10.5 into Pitch.",
	"",
	"Click HLD or Shift-H to activate",
	"the automatic attitude hold system.",
	"It will rotate the spacecraft to ",
	"the reference attitude plus the ",
	"offset you set.",
	"",
	"",
	"",
	"%Press any button or key: next page",
// Page 3
	"^VELOCITY VECTOR",
	"",
	"Defined by the spacecraft's current",
	"velocity vector and the local hor-",
	"izon. Use this to orient like an",
	"aircraft. The level plane is the ",
	"tangent plane of the gravity ref-",
	"erence of the spacecraft.",
	"",
	"To define pitch, yaw, roll offsets",
	"use the PIT, YAW and ROL buttons",
	"or their keyboard equivalents. This",
	"sets offsets to be added from the ",
	"base reference attitude. ",
	"",
	"Click HLD or Shift-H to activate",
	"the automatic attitude hold system.",
	"It will rotate the spacecraft to ",
	"the reference attitude plus the ",
	"offset you set.",
	"",
	"",
	"",
	"",
	"%Press any button or key: next page",
// Page 4
	"^TARGET RELATIVE",
	"",
	"Orient towards a selectable target ",
	"(defaults to the closest target).",
	"Targets include planets and other",
	"vessels.",
	"",
	"Roll is perpendiclar to the vel",
	"vector and pitch and yaw point to-",
	"wards the target.",
	"The pitch/yaw/roll offsets are",
	"available in this mode but are not",
	"displayed.",
	"",
	"Velocity matching (trimming) is",
	"available only in this mode. You",
	"can trim your velocity to match ",
	"that of the target in each axis or",
	"in combinations of two axes, or in",
	"all three axes. For example the TRA",
	"button (Shift-Numpad-5) will match",
	"your velocity to the target in all ",
	"three axes.",
	"",
	"%Press any button or key: next page",
// Page 5
	"^EARTH ENTRY INTERFACE",
	"",
	"Attitude defined by spacecraft's",
	"velocity vector and local horizon ",
	"at entry interface (approx 99 Km",
	"above Earth's surface).",
	"",
	"Valid only for elliptical orbits",
	"reentering the Earth's atmosphere.",
	"",
	"To define pitch, yaw, roll offsets",
	"use the PIT, YAW and ROL buttons",
	"or their keyboard equivalents. This",
	"sets offsets to be added from the ",
	"base reference attitude. ",
	"",
	"Click HLD or Shift-H to activate",
	"the automatic attitude hold system.",
	"It will rotate the spacecraft to ",
	"the reference attitude plus the ",
	"offset you set.",
	"",
	"",
	"",
	"%Press any button or key: next page",
// Page 6
	"^DISPLAY",
	"",
	"Top section contains the name of ",
	"the attitude reference (mode) plus",
	"any specialized into for that mode.",
	"",
	"Next section displays relative",
	"pitch roll and yaw angles entered",
	"by the user. In Target-Relative",
	"mode, this is replaced by target-",
	"relative velocities along the",
	"spacecraft's axes.",
	"",
	"Next section shows spacecraft pitch",
	"yaw & roll deviations from the ref-",
	"erence attitude plus any offsets,",
	"as well as the current attitude",
	"rates about the spacecraft's axes.",
	"",
	"At the bottom are graphic displays",
	"of current thruster levels.",
	"",
	"",
	"",
	"%Press any button or key: next page",
// Page 7
	"^MISCELLANY",
	"",
	"The NXT and PRV buttons step thru",
	"the available targets in order of",
	"distance.",
	"",
	"The BAS button (Shift-B) selects",
	"the current Map MFD target (a base)",
	"for target-relative and entry int-",
	"erface modes.",
	"",
	"The CLR button (Shift-C) cycles a",
	"mode where negative attitude values",
	"show in white, red, or the default",
	"green.",
	"",
	"Large trimming velocity changes use",
	"the main, retro, or hover engine if",
	"available.",
	"",
	"The MOD button cycles modes, but",
	"Shift-M requires entering a numeric",
	"code. This is per V2 of the MFD",
	"",
	"%Press any button or key: Resume MFD"

};

